Subject: Re: static linking under Solaris 5.5.1

From: Steve Lee <[email-masked]>
Date: Tue, 28 Jan 1997 23:46:38 GMT

> Date: Tue, 28 Jan 1997 17:03:07 -0600 (CST)
> From: Vidiot <[email-masked]>
>
> <Has anybody been able to get wu-ftpd and ls to compile with static
> <links instead of dynamic under Solaris 5.5.1?  I am using SUNs
> <compilers and I know the flag to use (-dn) but there are now some .a
> <libraries with Solaris (libnsl.a) that use dynamic functions (dlclose
> <for one).
> 
> First off, what is Solaris 5.5.1?  The latest releases are Solaris 2.5.1
> and Solaris 2.6.  I don't know the one you mentioned.
> 

SunOS 2.5.1 is Solaris 5.5.1.
I do not yet have access to 2.6/5.6.

> Secondly I have the latest compiled using the GNU gcc (2.7.+) compiler.
> You might want to change to that.  If you do, you should add -mv8 to
> the CFLAGS, if you are on an Ultra.

The machine I am setting up is a 20. I have no problem compiling, it is
only static compiles that fail. I do not believe the problem is the
compiler it is the library.   How is gcc likely to deal with a .a
library that does dynamic calls?  Would you be willing to do a quick
test?  Try adding -static to your CFLAGS variable.  If it compiles for
you I will be more than happy to install gcc.

> 
> Doing the above, and using the installation script for Solaris that I posted
> several days ago, to help the installation process, will give you a version
> of wu-ftp that is operational.

I have just joined this mailing list.  Could you email me a copy of
this script?

> 
> MB
> -- 
> System Administrator - Finnigan FT/MS - Madison WI. <URL:http://www.ftms.com/>
> e-mail: [email-masked]
> phone: (608) 273-8262 ext: 612  fax: (608) 273-8719
> Visit - <URL:http://www.cdsnet.net/vidiot/>  (Your link to Star Trek and UPN)
> 

After being on SUNadmin so long it feels wierd conversing on a list
instead of just posting questions and SUMMARYs.

Thanks
Steve Lee
[email-masked]